const express = require("express");
const router = express.Router();
const artigosEmUso = require("../controllers/artigoEmUsoController");

// Route for getting all artigosMaquina
router.get("/artigosEmUso", artigosEmUso.getAllArtigosEmUso);

// Route for getting a specific user by ID
router.get("/artigosEmUso/:id", artigosEmUso.getArtigoEmUsoById);

// Route for creating a new user
router.post("/artigosEmUso", artigosEmUso.createArtigoEmUso);

// Route for updating a user by ID
router.put("/artigosEmUso/:id", artigosEmUso.updateArtigoEmUso);

// Route for deleting a user by ID
router.delete("/artigosEmUso/:id", artigosEmUso.deleteArtigoEmUso);

module.exports = router;
